My private Cryptopals repository

Set 1

Challenge 3
./challenge_3 1b37373331363f78151b7f2b783431333d78397828372d363c78373e783a393b3736 | sort -k3nr -t$'\t' | head

Challenge 6
Compiling:

 gcc xor.c utils.c challenge_6.c -o challenge_6 -lm

Result
 Key length: 29
 Key: 0x5465726d696e61746f7220583a204272696e6720746865206e6f697365

Challenge 7
Compiling:

 gcc base64.c challenge_7.c -o challenge_7 -lssl -lcrypto

Prints some gibberish after the rap... why?